Fetch and store Gov Connect (HMRC) income data for an account
curl --request POST \
--url https://api.sandbox.goteal.co/gov-connect/entries/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "95a0e70b-fe02-4f47-aef9-2efff279df71"
}
'import requests
url = "https://api.sandbox.goteal.co/gov-connect/entries/connections"
payload = { "account_id": "95a0e70b-fe02-4f47-aef9-2efff279df71" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '95a0e70b-fe02-4f47-aef9-2efff279df71'})
};
fetch('https://api.sandbox.goteal.co/gov-connect/entries/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
"gov_connect_submissions": [
{
"id": "3f1c0b9a-1e2d-4a5b-9c8d-0e1f2a3b4c5d",
"account_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
"entry_id": "1b2c3d4e-5f6a-7b8c-9d0e-1f2a3b4c5d6e",
"authorisation_id": "9f8e7d6c-5b4a-3210-fedc-ba9876543210",
"income_id": "2025-26:emp:se:prop",
"identity": {
"name": "Fred Bloggs",
"date_of_birth": "1980-02-20",
"ni_number": "QQ000001A"
},
"employments": [
{
"employment": {
"employer_name": "NEW CORP",
"paye_reference": "120/NC15208",
"status": "active",
"start_date": "2024-06-10T00:00Z",
"leave_date": "<string>",
"tax_code": "<string>"
},
"income": {
"tax_year": "2024-25",
"taxable_income": "28100.91",
"tax_paid": "3611.40"
},
"updated_at": "2026-06-05 13:03:39"
}
],
"self_employments": [
{
"business": {
"business_id": "XBIS1"
},
"income": {
"tax_year": "2024-25",
"turnover": "92500.00",
"other_income": "1200.00",
"tax_deducted_at_source": "0.00"
}
}
],
"properties": [
{
"property_id": "XPIS1",
"tax_year": "2024-25",
"rent_received": "747.45"
}
]
}
],
"entry_id": "1b2c3d4e-5f6a-7b8c-9d0e-1f2a3b4c5d6e"
}{
"account_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
"gov_connect_submissions": [
{
"id": "3f1c0b9a-1e2d-4a5b-9c8d-0e1f2a3b4c5d",
"account_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
"entry_id": "1b2c3d4e-5f6a-7b8c-9d0e-1f2a3b4c5d6e",
"authorisation_id": "9f8e7d6c-5b4a-3210-fedc-ba9876543210",
"income_id": "2025-26:emp:se:prop",
"identity": {
"name": "Fred Bloggs",
"date_of_birth": "1980-02-20",
"ni_number": "QQ000001A"
},
"employments": [
{
"employment": {
"employer_name": "NEW CORP",
"paye_reference": "120/NC15208",
"status": "active",
"start_date": "2024-06-10T00:00Z",
"leave_date": "<string>",
"tax_code": "<string>"
},
"income": {
"tax_year": "2024-25",
"taxable_income": "28100.91",
"tax_paid": "3611.40"
},
"updated_at": "2026-06-05 13:03:39"
}
],
"self_employments": [
{
"business": {
"business_id": "XBIS1"
},
"income": {
"tax_year": "2024-25",
"turnover": "92500.00",
"other_income": "1200.00",
"tax_deducted_at_source": "0.00"
}
}
],
"properties": [
{
"property_id": "XPIS1",
"tax_year": "2024-25",
"rent_received": "747.45"
}
]
}
],
"entry_id": "1b2c3d4e-5f6a-7b8c-9d0e-1f2a3b4c5d6e"
}{
"errors": [
"The request is missing the required field `name`"
]
}{
"errors": [
"Not Authorization: Bearer <token> provided or wrong value"
]
}{
"errors": [
"The request is missing the required field `name`"
]
}Gov Connect
Query Gov Connection
POST
/
gov-connect
/
entries
/
connections
Fetch and store Gov Connect (HMRC) income data for an account
Retrieves the most recent income data for the account’s authorisation. May return an empty result if no new income is found.
This endpoint requires a valid authorisation for the user. If no active authorisation exists, the request will be rejected.
You can optionally pass the
x-teal-authorisation-id header to specify which authorisation to use; otherwise the system will resolve a valid authorisation automatically.
See Authorisations for more details.Authorizations
Bearer token for authentication. The token should be the one returned by the /user-tokens endpoint.
Headers
Optional authorisation ID to associate with this request. If not provided, the system will attempt to resolve a valid authorisation for the user automatically.
Example:
"7f3b8c2a-1d4e-4f6a-8b8c-9a0b1c2d3e4f"
Body
application/json
The Gov Connect (HMRC) account id to fetch income data for
Example:
"95a0e70b-fe02-4f47-aef9-2efff279df71"
Response
OK — no new income data was returned
The account the income data belongs to
Example:
"95a0e70b-fe02-4f47-aef9-2efff279df71"
Show child attributes
Show child attributes
The ingestion entry created for this fetch. Null when no data was returned.
Example:
"1b2c3d4e-5f6a-7b8c-9d0e-1f2a3b4c5d6e"
⌘I